Skip to content

Get Public Sector Security Settings

GET
/api/v1/sectors/{sectorID}/publicsettings
curl --request GET \
--url https://api.spartanauth.com/api/v1/sectors/example/publicsettings

Returns the public security settings for the given sector. This is an unauthenticated endpoint and only returns information needed to render the login page (e.g. whether MFA is required or self-signup is allowed), without exposing any sensitive settings or configuration.

sectorID
required
string
name
string
domain
string
isDefault
boolean
allowedOrigins
Array<string>
slug
string

A successful response.

Media type application/json
object
MFARequired
boolean
SelfSignUpAllowed
boolean
Example generated
{
"MFARequired": true,
"SelfSignUpAllowed": true
}

An unexpected error response.

Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}